Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.cib.sdk.states
Class CIBApplicationOperationalStatusImpl

    java.lang.Object
      com.sun.mfwk.cib.sdk.states.CIBOperationalStatusStateImpl
          com.sun.mfwk.cib.sdk.states.CIBApplicationOperationalStatusImpl

All Implemented Interfaces:
  CIBOperationalStatusState, CIBProvider, CIBState

public class CIBApplicationOperationalStatusImpl
extends CIBOperationalStatusStateImpl

Provides default implementation of an operational status State provider for a CIBApplication. This implementation is fully based on the Java-ES MF Instrumentation SDK.

Field Summary

Fields inherited from interface com.sun.mfwk.cib.states.CIBOperationalStatusState
`FAILED, RUNNING, STARTING, STOPPED, STOPPING`

Constructor Summary
`CIBApplicationOperationalStatusImpl(javax.management.MBeanServerConnection connection)` Contructor
`CIBApplicationOperationalStatusImpl(javax.management.MBeanServerConnection connection, java.util.Map map)` Contructor

Methods inherited from class com.sun.mfwk.cib.sdk.states.CIBOperationalStatusStateImpl
`destroy, getLastChange, getStartTime, getState, init, start, stop, toStateString, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CIBApplicationOperationalStatusImpl

    public CIBApplicationOperationalStatusImpl(javax.management.MBeanServerConnection connection,
                                               java.util.Map map)

  Contructor

Parameters:
  `connection` - MBeanServerConnection
  `map` - Map

### CIBApplicationOperationalStatusImpl

    public CIBApplicationOperationalStatusImpl(javax.management.MBeanServerConnection connection)
                                        throws javax.management.MalformedObjectNameException

  Contructor

Parameters:
  `connection` - MBeanServerConnection

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD